[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Accepted approx 3.3.0~bpo40+1~0 (source i386)

On Thu, Jul 24, 2008 at 02:04:45PM +0200, Alexander Wirt wrote:
> Vagrant Cascadian schrieb am Thursday, den 24. July 2008:
> > Hash: SHA1
> > 
> > Format: 1.7
> > Date: Wed, 23 Jul 2008 22:54:32 +0000
> > Source: approx
> > Binary: approx
> > Architecture: source i386
> > Version: 3.3.0~bpo40+1~0
> > Distribution: etch-backports
> > Urgency: low
> > Maintainer: Eric Cooper <ecc@cmu.edu>
> > Changed-By: Vagrant Cascadian <vagrant@freegeek.org>
> > Description: 
> >  approx     - caching proxy server for Debian archive files
> > Changes: 
> >  approx (3.3.0~bpo40+1~0) etch-backports; urgency=low
> >  .
> >    * backport for etch
> >    * switch to debhelper 5
> > Files: 
> This changes file is incomplete. Why don't you follow the upload guidelines? 

sorry for the confusion... i hadn't intended for that to be uploaded to
backports.org without changes; it was a backport i made for myself(hence
the extra ~0).  micah actually did the upload, so i can sort of pass the
buck there.

looking at the guidelines posted at:


it seems like it's missing previous changelog entries(clearly a simple
mistake), and converting the package to a lower debhelper version. are
there other issues?

  * Do not convert a package to a lower debhelper version for creating the
backport, debhelper 5 is already on backports.org, just use it.

there is no version 6+ of debhelper at backports.org (and looked
non-trivial to backport).

the version of approx in lenny had a build-dep on debhelper 6, but as
far as i can tell, works fine with debhelper 5. that was the only change
needed to make the backport build on etch (with numerous other ocaml
related backports already present on backports.org).

although, it appears a versioned build-dep on ocaml-native-compilers may
be needed to get the buildd's to work, as well as some of the other
ocaml build-deps.

live well,

Reply to: